/** @file
 *  @brief MAVLink comm protocol generated from matrixpilot.xml
 *  @see http://mavlink.org
 */
#pragma once
#ifndef MAVLINK_MATRIXPILOT_H
#define MAVLINK_MATRIXPILOT_H

#ifndef MAVLINK_H
    #error Wrong include order: MAVLINK_MATRIXPILOT.H MUST NOT BE DIRECTLY USED. Include mavlink.h from the same directory instead or set ALL AND EVERY defines from MAVLINK.H manually accordingly, including the #define MAVLINK_H call.
#endif

#undef MAVLINK_THIS_XML_IDX
#define MAVLINK_THIS_XML_IDX 0

#ifdef __cplusplus
extern "C" {
#endif

// MESSAGE LENGTHS AND CRCS

#ifndef MAVLINK_MESSAGE_LENGTHS
#define MAVLINK_MESSAGE_LENGTHS {9, 31, 12, 0, 14, 28, 3, 32, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 20, 2, 25, 23, 30, 101, 22, 26, 16, 14, 28, 32, 28, 28, 22, 22, 21, 6, 6, 37, 4, 4, 2, 2, 4, 2, 2, 3, 13, 12, 37, 4, 0, 0, 27, 25, 0, 0, 0, 0, 0, 72, 26, 181, 225, 42, 6, 4, 0, 11, 18, 0, 0, 37, 20, 35, 33, 3, 0, 0, 0, 22, 39, 37, 53, 51, 53, 51, 0, 28, 56, 42, 33, 81, 0, 0, 0, 0, 0, 0, 26, 32, 32, 20, 32, 62, 44, 64, 84, 9, 254, 16, 12, 36, 44, 64, 22, 6, 14, 12, 97, 2, 2, 113, 35, 6, 79, 35, 35, 22, 13, 255, 14, 18, 43, 8, 22, 14, 36, 43, 41, 32, 243, 14, 93, 0, 100, 36, 60, 30, 2, 6, 58, 6, 0, 53, 7, 3, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 61, 108, 10, 16, 20, 24, 28, 14, 17, 60, 110, 28, 16, 12, 20, 8, 25, 12, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 42, 40, 63, 182, 40, 42, 0, 0, 0, 0, 0, 32, 52, 53, 6, 2, 38, 19, 254, 36, 30, 18, 18, 51, 9, 0}
#endif

#ifndef MAVLINK_MESSAGE_CRCS
#define MAVLINK_MESSAGE_CRCS {50, 124, 137, 0, 237, 217, 104, 119, 0, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 0, 214, 159, 220, 168, 24, 23, 170, 144, 67, 115, 39, 246, 185, 104, 237, 244, 222, 212, 9, 254, 230, 28, 28, 132, 221, 232, 11, 153, 41, 39, 78, 196, 0, 0, 15, 3, 0, 0, 0, 0, 0, 167, 183, 119, 191, 118, 148, 21, 0, 243, 124, 0, 0, 38, 20, 158, 152, 143, 0, 0, 0, 106, 49, 22, 143, 140, 5, 150, 0, 231, 183, 63, 54, 47, 0, 0, 0, 0, 0, 0, 175, 102, 158, 208, 56, 93, 138, 108, 32, 185, 84, 34, 174, 124, 237, 4, 76, 128, 56, 116, 134, 237, 203, 250, 87, 203, 220, 25, 226, 46, 29, 223, 85, 6, 229, 203, 1, 195, 109, 168, 181, 47, 72, 131, 127, 0, 103, 154, 178, 200, 181, 26, 101, 109, 0, 12, 218, 133, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 103, 245, 191, 54, 54, 171, 142, 249, 123, 7, 222, 55, 154, 175, 41, 87, 144, 134, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 163, 105, 151, 35, 150, 179, 0, 0, 0, 0, 0, 90, 104, 85, 95, 130, 184, 81, 8, 204, 49, 170, 44, 83, 46, 0}
#endif

#include "../protocol.h"

#define MAVLINK_ENABLED_MATRIXPILOT

// ENUM DEFINITIONS


/** @brief Action required when performing CMD_PREFLIGHT_STORAGE */
#ifndef HAVE_ENUM_MAV_PREFLIGHT_STORAGE_ACTION
#define HAVE_ENUM_MAV_PREFLIGHT_STORAGE_ACTION
typedef enum MAV_PREFLIGHT_STORAGE_ACTION
{
   MAV_PFS_CMD_READ_ALL=0, /* Read all parameters from storage | */
   MAV_PFS_CMD_WRITE_ALL=1, /* Write all parameters to storage | */
   MAV_PFS_CMD_CLEAR_ALL=2, /* Clear all  parameters in storage | */
   MAV_PFS_CMD_READ_SPECIFIC=3, /* Read specific parameters from storage | */
   MAV_PFS_CMD_WRITE_SPECIFIC=4, /* Write specific parameters to storage | */
   MAV_PFS_CMD_CLEAR_SPECIFIC=5, /* Clear specific parameters in storage | */
   MAV_PFS_CMD_DO_NOTHING=6, /* do nothing | */
   MAV_PREFLIGHT_STORAGE_ACTION_ENUM_END=7, /*  | */
} MAV_PREFLIGHT_STORAGE_ACTION;
#endif

/** @brief Commands to be executed by the MAV. They can be executed on user request, or as part of a mission script. If the action is used in a mission, the parameter mapping to the waypoint/mission message is as follows: Param 1, Param 2, Param 3, Param 4, X: Param 5, Y:Param 6, Z:Param 7. This command list is similar what ARINC 424 is for commercial aircraft: A data format how to interpret waypoint/mission data. */
#ifndef HAVE_ENUM_MAV_CMD
#define HAVE_ENUM_MAV_CMD
typedef enum MAV_CMD
{
   MAV_CMD_PREFLIGHT_STORAGE_ADVANCED=0, /* Request storage of different parameter values and logs. This command will be only accepted if in pre-flight mode. |1: Storage action: Action defined by MAV_PREFLIGHT_STORAGE_ACTION_ADVANCED| 2: Storage area as defined by parameter database| 3: Storage flags as defined by parameter database| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_NAV_WAYPOINT=16, /* Navigate to waypoint. |1: Hold time in decimal seconds. (ignored by fixed wing, time to stay at waypoint for rotary wing)| 2: Acceptance radius in meters (if the sphere with this radius is hit, the waypoint counts as reached)| 3: 0 radius in meters to pass by WP. Positive value for clockwise orbit, negative value for counter-clockwise orbit. Allows trajectory control.| 4: Desired yaw angle at waypoint (rotary wing). NaN for unchanged.| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_NAV_LOITER_UNLIM=17, /* Loiter around this waypoint an unlimited amount of time |1: Empty| 2: Empty| 3: Radius around waypoint, in meters. If positive loiter clockwise, else counter-clockwise| 4: red yaw angle.| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_NAV_LOITER_TURNS=18, /* Loiter around this waypoint for X turns |1: Turns| 2: Empty| 3: Radius around waypoint, in meters. If positive loiter clockwise, else counter-clockwise| 4: Forward moving aircraft this sets exit xtrack location: 0 for center of loiter wp, 1 for exit location. Else, this is desired yaw angle| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_NAV_LOITER_TIME=19, /* Loiter around this waypoint for X seconds |1: Seconds (decimal)| 2: Empty| 3: Radius around waypoint, in meters. If positive loiter clockwise, else counter-clockwise| 4: Forward moving aircraft this sets exit xtrack location: 0 for center of loiter wp, 1 for exit location. Else, this is desired yaw angle| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_NAV_RETURN_TO_LAUNCH=20, /* Return to launch location |1: Empty| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_NAV_LAND=21, /* Land at location. |1: de if landing is aborted (0 = undefined/use system default).| 2: Precision land mode.| 3: Empty.| 4: Desired yaw angle. NaN for unchanged.| 5: Latitude.| 6: Longitude.| 7: Landing altitude (ground level in current frame).|  */
   MAV_CMD_NAV_TAKEOFF=22, /* Takeoff from ground / hand |1: Minimum pitch (if airspeed sensor present), desired pitch without sensor| 2: Empty| 3: Empty| 4: Yaw angle (if magnetometer present), ignored without magnetometer. NaN for unchanged.| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_NAV_LAND_LOCAL=23, /* Land at local position (local frame only) |1: Landing target number (if available)| 2: Maximum accepted offset from desired landing position [m] - computed magnitude from spherical coordinates: d = sqrt(x^2 + y^2 + z^2), which gives the maximum accepted distance between the desired landing position and the position where the vehicle is about to land| 3: Landing descend rate [ms^-1]| 4: Desired yaw angle [rad]| 5: Y-axis position [m]| 6: X-axis position [m]| 7: Z-axis / ground level position [m]|  */
   MAV_CMD_NAV_TAKEOFF_LOCAL=24, /* Takeoff from local position (local frame only) |1: Minimum pitch (if airspeed sensor present), desired pitch without sensor [rad]| 2: Empty| 3: Takeoff ascend rate [ms^-1]| 4: Yaw angle [rad] (if magnetometer or another yaw estimation source present), ignored without one of these| 5: Y-axis position [m]| 6: X-axis position [m]| 7: Z-axis position [m]|  */
   MAV_CMD_NAV_FOLLOW=25, /* Vehicle following, i.e. this waypoint represents the position of a moving vehicle |1: Following logic to use (e.g. loitering or sinusoidal following) - depends on specific autopilot implementation| 2: Ground speed of vehicle to be followed| 3: Radius around waypoint, in meters. If positive loiter clockwise, else counter-clockwise| 4: Desired yaw angle.| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_NAV_CONTINUE_AND_CHANGE_ALT=30, /* Continue on the current course and climb/descend to specified altitude.  When the altitude is reached continue to the next command (i.e., don't proceed to the next command until the desired altitude is reached. |1: Climb or Descend (0 = Neutral, command completes when within 5m of this command's altitude, 1 = Climbing, command completes when at or above this command's altitude, 2 = Descending, command completes when at or below this command's altitude.| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Desired altitude in meters|  */
   MAV_CMD_NAV_LOITER_TO_ALT=31, /* Begin loiter at the specified Latitude and Longitude.  If Lat=Lon=0, then loiter at the current position.  Don't consider the navigation command complete (don't leave loiter) until the altitude has been reached.  Additionally, if the Heading Required parameter is non-zero the  aircraft will not leave the loiter until heading toward the next waypoint. |1: Heading Required (0 = False)| 2: Radius in meters. If positive loiter clockwise, negative counter-clockwise, 0 means no change to standard loiter.| 3: Empty| 4: Forward moving aircraft this sets exit xtrack location: 0 for center of loiter wp, 1 for exit location| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_DO_FOLLOW=32, /* Being following a target |1: System ID (the system ID of the FOLLOW_TARGET beacon). Send 0 to disable follow-me and return to the default position hold mode| 2: RESERVED| 3: RESERVED| 4: altitude flag: 0: Keep current altitude, 1: keep altitude difference to target, 2: go to a fixed altitude above home| 5: altitude| 6: RESERVED| 7: TTL in seconds in which the MAV should go to the default position hold mode after a message rx timeout|  */
   MAV_CMD_DO_FOLLOW_REPOSITION=33, /* Reposition the MAV after a follow target command has been sent |1: Camera q1 (where 0 is on the ray from the camera to the tracking device)| 2: Camera q2| 3: Camera q3| 4: Camera q4| 5: altitude offset from target (m)| 6: X offset from target (m)| 7: Y offset from target (m)|  */
   MAV_CMD_DO_ORBIT=34, /* Start orbiting on the circumference of a circle defined by the parameters. Setting any value NaN results in using defaults. |1: Radius of the circle in meters. positive: Orbit clockwise. negative: Orbit counter-clockwise.| 2: Velocity tangential in m/s. NaN: Vehicle configuration default.| 3: Yaw behavior of the vehicle. 0: vehicle front points to the center (default). 1: Hold last heading. 2: Leave yaw uncontrolled.| 4: Reserved (e.g. for dynamic center beacon options)| 5: Center point latitude (if no MAV_FRAME specified) / X coordinate according to MAV_FRAME. NaN: Use current vehicle position or current center if already orbiting.| 6: Center point longitude (if no MAV_FRAME specified) / Y coordinate according to MAV_FRAME. NaN: Use current vehicle position or current center if already orbiting.| 7: Center point altitude (MSL) (if no MAV_FRAME specified) / Z coordinate according to MAV_FRAME. NaN: Use current vehicle position or current center if already orbiting.|  */
   MAV_CMD_NAV_ROI=80, /* Sets the region of interest (ROI) for a sensor set or the vehicle itself. This can then be used by the vehicles control system to control the vehicle attitude and the attitude of various sensors such as cameras. |1: Region of interest mode. (see MAV_ROI enum)| 2: Waypoint index/ target ID. (see MAV_ROI enum)| 3: ROI index (allows a vehicle to manage multiple ROI's)| 4: Empty| 5: x the location of the fixed ROI (see MAV_FRAME)| 6: y| 7: z|  */
   MAV_CMD_NAV_PATHPLANNING=81, /* Control autonomous path planning on the MAV. |1: 0: Disable local obstacle avoidance / local path planning (without resetting map), 1: Enable local path planning, 2: Enable and reset local path planning| 2: 0: Disable full path planning (without resetting map), 1: Enable, 2: Enable and reset map/occupancy grid, 3: Enable and reset planned route, but not occupancy grid| 3: Empty| 4: Yaw angle at goal, in compass degrees, [0..360]| 5: Latitude/X of goal| 6: Longitude/Y of goal| 7: Altitude/Z of goal|  */
   MAV_CMD_NAV_SPLINE_WAYPOINT=82, /* Navigate to waypoint using a spline path. |1: Hold time in decimal seconds. (ignored by fixed wing, time to stay at waypoint for rotary wing)| 2: Empty| 3: Empty| 4: Empty| 5: Latitude/X of goal| 6: Longitude/Y of goal| 7: Altitude/Z of goal|  */
   MAV_CMD_NAV_VTOL_TAKEOFF=84, /* Takeoff from ground using VTOL mode, and transition to forward flight with specified heading. |1: ty| 2: Front transition heading.| 3: Empty| 4: Yaw angle in degrees. NaN for unchanged.| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_NAV_VTOL_LAND=85, /* Land using VTOL mode |1: Empty| 2: Empty| 3: Approach altitude (with the same reference as the Altitude field). NaN if unspecified.| 4: Yaw angle in degrees. NaN for unchanged.| 5: Latitude| 6: Longitude| 7: Altitude (ground level)|  */
   MAV_CMD_NAV_GUIDED_ENABLE=92, /* hand control over to an external controller |1: 0.5f on)| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_NAV_DELAY=93, /* Delay the next navigation command a number of seconds or until a specified time |1: Delay in seconds (decimal, -1 to enable time-of-day fields)| 2: hour (24h format, UTC, -1 to ignore)| 3: minute (24h format, UTC, -1 to ignore)| 4: second (24h format, UTC)| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_NAV_PAYLOAD_PLACE=94, /* Descend and place payload. Vehicle moves to specified location, descends until it detects a hanging payload has reached the ground, and then releases the payload. If ground is not detected before the reaching the maximum descent value (param1), the command will complete without releasing the payload. |1: Maximum distance to descend.| 2: Empty| 3: Empty| 4: Empty| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_NAV_LAST=95, /* NOP - This command is only used to mark the upper limit of the NAV/ACTION commands in the enumeration |1: Empty| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_CONDITION_DELAY=112, /* Delay mission state machine. |1: Delay in seconds (decimal)| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_CONDITION_CHANGE_ALT=113, /* Ascend/descend at rate.  Delay mission state machine until desired altitude reached. |1: Descent / Ascend rate (m/s)| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Finish Altitude|  */
   MAV_CMD_CONDITION_DISTANCE=114, /* Delay mission state machine until within desired distance of next NAV point. |1: Distance (meters)| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_CONDITION_YAW=115, /* Reach a certain target angle. |1: target angle: [0-360], 0 is north| 2: speed during yaw change:[deg per second]| 3: direction: negative: counter clockwise, positive: clockwise [-1,1]| 4: relative offset or absolute angle: [ 1,0]| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_CONDITION_LAST=159, /* NOP - This command is only used to mark the upper limit of the CONDITION commands in the enumeration |1: Empty| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_SET_MODE=176, /* Set system mode. |1: Mode, as defined by ENUM MAV_MODE| 2: ific, please refer to the individual autopilot specifications for details.| 3: Custom sub mode - this is system specific, please refer to the individual autopilot specifications for details.| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_JUMP=177, /* Jump to the desired command in the mission list.  Repeat this action only the specified number of times |1: Sequence number| 2: Repeat count| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_CHANGE_SPEED=178, /* Change speed and/or throttle set points. |1: Speed type (0=Airspeed, 1=Ground Speed, 2=Climb Speed, 3=Descent Speed)| 2: Speed  (m/s, -1 indicates no change)| 3: Throttle  ( Percent, -1 indicates no change)| 4: absolute or relative [0,1]| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_SET_HOME=179, /* Changes the home location either to the current location or a specified location. |1: Use current (1=use current location, 0=use specified location)| 2: Empty| 3: Empty| 4: Empty| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_DO_SET_PARAMETER=180, /* Set a system parameter.  Caution!  Use of this command requires knowledge of the numeric enumeration value of the parameter. |1: Parameter number| 2: Parameter value| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_SET_RELAY=181, /* Set a relay to a condition. |1: Relay number| 2: Setting (1=on, 0=off, others possible depending on system hardware)| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_REPEAT_RELAY=182, /* Cycle a relay on and off for a desired number of cycles with a desired period. |1: Relay number| 2: Cycle count| 3: Cycle time (seconds, decimal)| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_SET_SERVO=183, /* Set a servo to a desired PWM value. |1: Servo number| 2: PWM (microseconds, 1000 to 2000 typical)| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_REPEAT_SERVO=184, /* Cycle a between its nominal setting and a desired PWM for a desired number of cycles with a desired period. |1: Servo number| 2: PWM (microseconds, 1000 to 2000 typical)| 3: Cycle count| 4: Cycle time (seconds)| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_FLIGHTTERMINATION=185, /* Terminate flight immediately |1: 0.5| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_CHANGE_ALTITUDE=186, /* Change altitude set point. |1: Altitude in meters| 2: Mav frame of new altitude (see MAV_FRAME)| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_LAND_START=189, /* Mission command to perform a landing. This is used as a marker in a mission to tell the autopilot where a sequence of mission items that represents a landing starts. It may also be sent via a COMMAND_LONG to trigger a landing, in which case the nearest (geographically) landing sequence in the mission will be used. The Latitude/Longitude is optional, and may be set to 0 if not needed. If specified then it will be used to help find the closest landing sequence. |1: Empty| 2: Empty| 3: Empty| 4: Empty| 5: itude| 6: Longitude| 7: Empty|  */
   MAV_CMD_DO_RALLY_LAND=190, /* Mission command to perform a landing from a rally point. |1: Break altitude (meters)| 2: Landing speed (m/s)| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_GO_AROUND=191, /* Mission command to safely abort an autonomous landing. |1: Altitude (meters)| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_REPOSITION=192, /* Reposition the vehicle to a specific WGS84 global position. |1: Ground speed, less than 0 (-1) for default| 2: Bitmask of option flags, see the MAV_DO_REPOSITION_FLAGS enum.| 3: Reserved| 4: Yaw heading, NaN for unchanged. For planes indicates loiter direction (0: clockwise, 1: counter clockwise)| 5: Latitude (deg * 1E7)| 6: Longitude (deg * 1E7)| 7: Altitude (meters)|  */
   MAV_CMD_DO_PAUSE_CONTINUE=193, /* If in a GPS controlled position mode, hold the current position or continue. |1: and VTOL planes). A plane should loiter with the default loiter radius.| 2: Reserved| 3: Reserved| 4: Reserved| 5: Reserved| 6: Reserved| 7: Reserved|  */
   MAV_CMD_DO_SET_REVERSE=194, /* Set moving direction to forward or reverse. |1: Direction (0=Forward, 1=Reverse)| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_SET_ROI_LOCATION=195, /* Sets the region of interest (ROI) to a location. This can then be used by the vehicles control system to control the vehicle attitude and the attitude of various sensors such as cameras. |1: Empty| 2: Empty| 3: Empty| 4: Empty| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_DO_SET_ROI_WPNEXT_OFFSET=196, /* Sets the region of interest (ROI) to be toward next waypoint, with optional pitch/roll/yaw offset. This can then be used by the vehicles control system to control the vehicle attitude and the attitude of various sensors such as cameras. |1: Empty| 2: Empty| 3: Empty| 4: Empty| 5: pitch offset from next waypoint| 6: roll offset from next waypoint| 7: waypoint|  */
   MAV_CMD_DO_SET_ROI_NONE=197, /* Cancels any previous ROI command returning the vehicle/sensors to default flight characteristics. This can then be used by the vehicles control system to control the vehicle attitude and the attitude of various sensors such as cameras. |1: Empty| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_CONTROL_VIDEO=200, /* Control onboard camera system. |1: Camera ID (-1 for all)| 2: Transmission: 0: disabled, 1: enabled compressed, 2: enabled raw| 3: 0: single images every n seconds (decimal)| 4: Recording: 0: disabled, 1: enabled compressed, 2: enabled raw| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_SET_ROI=201, /* Sets the region of interest (ROI) for a sensor set or the vehicle itself. This can then be used by the vehicles control system to control the vehicle attitude and the attitude of various sensors such as cameras. |1: Region of interest mode. (see MAV_ROI enum)| 2: Waypoint index/ target ID. (see MAV_ROI enum)| 3: ROI index (allows a vehicle to manage multiple ROI's)| 4: Empty| 5: MAV_ROI_WPNEXT: pitch offset from next waypoint, MAV_ROI_LOCATION: latitude| 6: MAV_ROI_WPNEXT: roll offset from next waypoint, MAV_ROI_LOCATION: longitude| 7: MAV_ROI_WPNEXT: yaw offset from next waypoint, MAV_ROI_LOCATION: altitude|  */
   MAV_CMD_DO_DIGICAM_CONFIGURE=202, /* Configure digital camera. This is a fallback message for systems that have not yet implemented PARAM_EXT_XXX messages and camera definition files (see https://mavlink.io/en/services/camera_def.html ). |1: Modes: P, TV, AV, M, Etc| 2: Shutter speed: Divisor number for one second| 3: Aperture: F stop number| 4: ISO number e.g. 80, 100, 200, Etc| 5: Exposure type enumerator| 6: Command Identity| 7: Main engine cut-off time before camera trigger in seconds/10 (0 means no cut-off)|  */
   MAV_CMD_DO_DIGICAM_CONTROL=203, /* Control digital camera. This is a fallback message for systems that have not yet implemented PARAM_EXT_XXX messages and camera definition files (see https://mavlink.io/en/services/camera_def.html ). |1: Session control e.g. show/hide lens| 2: Zoom's absolute position| 3: Zooming step value to offset zoom from the current position| 4: Focus Locking, Unlocking or Re-locking| 5: Shooting Command| 6: Command Identity| 7: Test shot identifier. If set to 1, image will only be captured, but not counted towards internal frame count.|  */
   MAV_CMD_DO_MOUNT_CONFIGURE=204, /* Mission command to configure a camera or antenna mount |1: Mount operation mode (see MAV_MOUNT_MODE enum)| 2: stabilize roll? (1 = yes, 0 = no)| 3: stabilize pitch? (1 = yes, 0 = no)| 4: stabilize yaw? (1 = yes, 0 = no)| 5: roll input (0 = angle body frame, 1 = angular rate, 2 = angle absolute frame)| 6: pitch input (0 = angle body frame, 1 = angular rate, 2 = angle absolute frame)| 7: yaw input (0 = angle body frame, 1 = angular rate, 2 = angle absolute frame)|  */
   MAV_CMD_DO_MOUNT_CONTROL=205, /* Mission command to control a camera or antenna mount |1: pitch depending on mount mode (degrees or degrees/second depending on pitch input).| 2: roll depending on mount mode (degrees or degrees/second depending on roll input).| 3: yaw depending on mount mode (degrees or degrees/second depending on yaw input).| 4: alt in meters depending on mount mode.| 5: latitude in degrees * 1E7, set if appropriate mount mode.| 6: longitude in degrees * 1E7, set if appropriate mount mode.| 7: MAV_MOUNT_MODE enum value|  */
   MAV_CMD_DO_SET_CAM_TRIGG_DIST=206, /* Mission command to set camera trigger distance for this flight. The camera is triggered each time this distance is exceeded. This command can also be used to set the shutter integration time for the camera. |1: Camera trigger distance (meters). 0 to stop triggering.| 2: Camera shutter integration time (milliseconds). -1 or 0 to ignore| 3: er camera once immediately. (0 = no trigger, 1 = trigger)| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_FENCE_ENABLE=207, /* Mission command to enable the geofence |1: enable? (0=disable, 1=enable, 2=disable_floor_only)| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_PARACHUTE=208, /* Mission command to trigger a parachute |1: action| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_MOTOR_TEST=209, /* Mission command to perform motor test |1: motor number (a number from 1 to max number of motors on the vehicle)| 2: throttle type (0=throttle percentage, 1=PWM, 2=pilot throttle channel pass-through. See MOTOR_TEST_THROTTLE_TYPE enum)| 3: throttle| 4: timeout (in seconds)| 5: motor count (number of motors to test to test in sequence, waiting for the timeout above between them; 0=1 motor, 1=1 motor, 2=2 motors...)| 6: motor test order (See MOTOR_TEST_ORDER enum)| 7: Empty|  */
   MAV_CMD_DO_INVERTED_FLIGHT=210, /* Change to/from inverted flight |1: inverted (0=normal, 1=inverted)| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_NAV_SET_YAW_SPEED=213, /* Sets a desired vehicle turn angle and speed change |1: yaw angle to adjust steering by in centidegress| 2: speed - normalized to 0 .. 1| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_SET_CAM_TRIGG_INTERVAL=214, /* Mission command to set camera trigger interval for this flight. If triggering is enabled, the camera is triggered each time this interval expires. This command can also be used to set the shutter integration time for the camera. |1: Camera trigger cycle time (milliseconds). -1 or 0 to ignore.| 2: Camera shutter integration time (milliseconds). Should be less than trigger cycle time. -1 or 0 to ignore.| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_MOUNT_CONTROL_QUAT=220, /* Mission command to control a camera or antenna mount, using a quaternion as reference. |1: q1 - quaternion param #1, w (1 in null-rotation)| 2: q2 - quaternion param #2, x (0 in null-rotation)| 3: 3, y (0 in null-rotation)| 4: q4 - quaternion param #4, z (0 in null-rotation)| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_GUIDED_MASTER=221, /* set id of master controller |1: System ID| 2: Component ID| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_GUIDED_LIMITS=222, /* Set limits for external control |1: Timeout - maximum time (in seconds) that external controller will be allowed to control vehicle. 0 means no timeout.| 2: Altitude (MSL) min, in meters - if vehicle moves below this alt, the command will be aborted and the mission will continue. 0 means no lower altitude limit.| 3: Altitude (MSL) max, in meters - if vehicle moves above this alt, the command will be aborted and the mission will continue. 0 means no upper altitude limit.| 4: Horizontal move limit, in meters - if vehicle moves more than this distance from its location at the moment the command was executed, the command will be aborted and the mission will continue. 0 means no horizontal move limit.| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_ENGINE_CONTROL=223, /* Control vehicle engine. This is interpreted by the vehicles engine controller to change the target engine state. It is intended for vehicles with internal combustion engines |1: 0: Stop engine, 1:Start Engine| 2: 0: Warm start, 1:Cold start. Controls use of choke where applicable| 3: Height delay (meters). This is for commanding engine start only after the vehicle has gained the specified height. Used in VTOL vehicles during takeoff to start engine after the aircraft is off the ground. Zero for no delay.| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_SET_MISSION_CURRENT=224, /* Set the mission item with sequence number seq as current item. This means that the MAV will continue to this mission item on the shortest path (not following the mission items in-between). |1: Mission sequence value to set| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_DO_LAST=240, /* NOP - This command is only used to mark the upper limit of the DO commands in the enumeration |1: Empty| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_PREFLIGHT_CALIBRATION=241, /* Trigger calibration. This command will be only accepted if in pre-flight mode. Except for Temperature Calibration, only one sensor should be set in a single message and all others should be zero. |1: 1: gyro calibration, 3: gyro temperature calibration| 2: 1: magnetometer calibration| 3: 1: ground pressure calibration| 4: 1: radio RC calibration, 2: RC trim calibration| 5: 1: accelerometer calibration, 2: board level calibration, 3: accelerometer temperature calibration, 4: simple accelerometer calibration| 6: 1: APM: compass/motor interference calibration (PX4: airspeed calibration, deprecated), 2: airspeed calibration| 7: 1: ESC calibration, 3: barometer temperature calibration|  */
   MAV_CMD_PREFLIGHT_SET_SENSOR_OFFSETS=242, /* Set sensor offsets. This command will be only accepted if in pre-flight mode. |1: Sensor to adjust the offsets for: 0: gyros, 1: accelerometer, 2: magnetometer, 3: barometer, 4: optical flow, 5: second magnetometer, 6: third magnetometer| 2: X axis offset (or generic dimension 1), in the sensor's raw units| 3: Y axis offset (or generic dimension 2), in the sensor's raw units| 4: Z axis offset (or generic dimension 3), in the sensor's raw units| 5: Generic dimension 4, in the sensor's raw units| 6: Generic dimension 5, in the sensor's raw units| 7: Generic dimension 6, in the sensor's raw units|  */
   MAV_CMD_PREFLIGHT_UAVCAN=243, /* Trigger UAVCAN config. This command will be only accepted if in pre-flight mode. |1: 1: Trigger actuator ID assignment and direction mapping.| 2: Reserved| 3: Reserved| 4: Reserved| 5: Reserved| 6: Reserved| 7: Reserved|  */
   MAV_CMD_PREFLIGHT_STORAGE=245, /* Request storage of different parameter values and logs. This command will be only accepted if in pre-flight mode. |1: Parameter storage: 0: READ FROM FLASH/EEPROM, 1: WRITE CURRENT TO FLASH/EEPROM, 2: Reset to defaults| 2: Mission storage: 0: READ FROM FLASH/EEPROM, 1: WRITE CURRENT TO FLASH/EEPROM, 2: Reset to defaults| 3: 1: start logging with rate of param 3 in Hz (e.g. set to 1000 for 1000 Hz logging)| 4: Reserved| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_PREFLIGHT_REBOOT_SHUTDOWN=246, /* Request the reboot or shutdown of system components. |1: 0: Do nothing for autopilot, 1: Reboot autopilot, 2: Shutdown autopilot, 3: Reboot autopilot and keep it in the bootloader until upgraded.| 2: 0: Do nothing for onboard computer, 1: Reboot onboard computer, 2: Shutdown onboard computer, 3: Reboot onboard computer and keep it in the bootloader until upgraded.| 3: WIP: 0: Do nothing for camera, 1: Reboot onboard camera, 2: Shutdown onboard camera, 3: Reboot onboard camera and keep it in the bootloader until upgraded| 4: WIP: 0: Do nothing for mount (e.g. gimbal), 1: Reboot mount, 2: Shutdown mount, 3: Reboot mount and keep it in the bootloader until upgraded| 5: Reserved, send 0| 6: Reserved, send 0| 7: WIP: ID (e.g. camera ID -1 for all IDs)|  */
   MAV_CMD_OVERRIDE_GOTO=252, /* Override current mission with command to pause mission, pause mission and move to position, continue/resume mission. When param 1 indicates that the mission is paused (MAV_GOTO_DO_HOLD), param 2 defines whether it holds in place or moves to another position. |1: MAV_GOTO_DO_HOLD: pause mission and either hold or move to specified position (depending on param2), MAV_GOTO_DO_CONTINUE: resume mission.| 2: MAV_GOTO_HOLD_AT_CURRENT_POSITION: hold at current position, MAV_GOTO_HOLD_AT_SPECIFIED_POSITION: hold at specified position.| 3: Coordinate frame of hold point.| 4: Desired yaw angle.| 5: Latitude / X position.| 6: Longitude / Y position.| 7: Altitude / Z position.|  */
   MAV_CMD_MISSION_START=300, /* start running a mission |1: first_item: the first mission item to run| 2: last_item:  the last mission item to run (after this item is run, the mission ends)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_COMPONENT_ARM_DISARM=400, /* Arms / Disarms a component |1: 1 to arm, 0 to disarm| 2: Reserved (default:0)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_GET_HOME_POSITION=410, /* Request the home position from the vehicle. |1: Reserved| 2: Reserved| 3: Reserved| 4: Reserved| 5: Reserved| 6: Reserved| 7: Reserved|  */
   MAV_CMD_START_RX_PAIR=500, /* Starts receiver pairing |1: 0:Spektrum| 2: RC type (see RC_TYPE enum)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_GET_MESSAGE_INTERVAL=510, /* Request the interval between messages for a particular MAVLink message ID |1: The MAVLink message ID| 2: Reserved (default:0)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_SET_MESSAGE_INTERVAL=511, /* Set the interval between messages for a particular MAVLink message ID. This interface replaces REQUEST_DATA_STREAM |1: The MAVLink message ID| 2: The interval between two messages, in microseconds. Set to -1 to disable and 0 to request default rate.| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_REQUEST_MESSAGE=512, /* Request the target system(s) emit a single instance of a specified message (i.e. a "one-shot" version of MAV_CMD_SET_MESSAGE_INTERVAL). |1: The MAVLink message ID of the requested message.| 2: Index id (if appropriate). The use of this parameter (if any), must be defined in the requested message.| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_REQUEST_PROTOCOL_VERSION=519, /* Request MAVLink protocol version compatibility |1: 1: Request supported protocol versions by all nodes on the network| 2: Reserved (all remaining params)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_REQUEST_AUTOPILOT_CAPABILITIES=520, /* Request autopilot capabilities |1: 1: Request autopilot version| 2: Reserved (all remaining params)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_REQUEST_CAMERA_INFORMATION=521, /* Request camera information (CAMERA_INFORMATION). |1: 0: No action 1: Request camera capabilities| 2: Reserved (all remaining params)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_REQUEST_CAMERA_SETTINGS=522, /* Request camera settings (CAMERA_SETTINGS). |1: 0: No Action 1: Request camera settings| 2: Reserved (all remaining params)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_REQUEST_STORAGE_INFORMATION=525, /* Request storage information (STORAGE_INFORMATION). Use the command's target_component to target a specific component's storage. |1: Storage ID (0 for all, 1 for first, 2 for second, etc.)| 2: 0: No Action 1: Request storage information| 3: Reserved (all remaining params)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_STORAGE_FORMAT=526, /* Format a storage medium. Once format is complete, a STORAGE_INFORMATION message is sent. Use the command's target_component to target a specific component's storage. |1: Storage ID (1 for first, 2 for second, etc.)| 2: 0: No action 1: Format storage| 3: Reserved (all remaining params)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_REQUEST_CAMERA_CAPTURE_STATUS=527, /* Request camera capture status (CAMERA_CAPTURE_STATUS) |1: 0: No Action 1: Request camera capture status| 2: Reserved (all remaining params)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_REQUEST_FLIGHT_INFORMATION=528, /* Request flight information (FLIGHT_INFORMATION) |1: 1: Request flight information| 2: Reserved (all remaining params)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_RESET_CAMERA_SETTINGS=529, /* Reset all camera settings to Factory Default |1: 0: No Action 1: Reset all settings| 2: Reserved (all remaining params)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_SET_CAMERA_MODE=530, /* Set camera running mode. Use NaN for reserved values. GCS will send a MAV_CMD_REQUEST_VIDEO_STREAM_STATUS command after a mode change if the camera supports video streaming. |1: Reserved (Set to 0)| 2: Camera mode| 3: Reserved (all remaining params)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_SET_CAMERA_ZOOM=531, /* Set camera zoom. Camera must respond with a CAMERA_SETTINGS message (on success). Use NaN for reserved values. |1: Zoom type| 2: Zoom value. The range of valid values depend on the zoom type.| 3: Reserved (all remaining params)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_SET_CAMERA_FOCUS=532, /* Set camera focus. Camera must respond with a CAMERA_SETTINGS message (on success). Use NaN for reserved values. |1: Focus type| 2: Focus value| 3: Reserved (all remaining params)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_JUMP_TAG=600, /* Tagged jump target. Can be jumped to with MAV_CMD_DO_JUMP_TAG. |1: Tag.| 2: Reserved (default:0)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_DO_JUMP_TAG=601, /* Jump to the matching tag in the mission list. Repeat this action for the specified number of times. A mission should contain a single matching tag for each jump. If this is not the case then a jump to a missing tag should complete the mission, and a jump where there are multiple matching tags should always select the one with the lowest mission sequence number. |1: Target tag to jump to.| 2: Repeat count| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_IMAGE_START_CAPTURE=2000, /* Start image capture sequence. Sends CAMERA_IMAGE_CAPTURED after each capture. Use NaN for reserved values. |1: Reserved (Set to 0)| 2: Desired elapsed time between two consecutive pictures (in seconds). Minimum values depend on hardware (typically greater than 2 seconds).| 3: Total number of images to capture. 0 to capture forever/until MAV_CMD_IMAGE_STOP_CAPTURE.| 4: Capture sequence number starting from 1. This is only valid for single-capture (param3 == 1). Increment the capture ID for each capture command to prevent double captures when a command is re-transmitted. Use 0 to ignore it.| 5: Reserved (all remaining params)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_IMAGE_STOP_CAPTURE=2001, /* Stop image capture sequence Use NaN for reserved values. |1: Reserved (Set to 0)| 2: Reserved (all remaining params)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_REQUEST_CAMERA_IMAGE_CAPTURE=2002, /* Re-request a CAMERA_IMAGE_CAPTURE message. Use NaN for reserved values. |1: Sequence number for missing CAMERA_IMAGE_CAPTURE message| 2: Reserved (all remaining params)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_DO_TRIGGER_CONTROL=2003, /* Enable or disable on-board camera triggering system. |1: Trigger enable/disable (0 for disable, 1 for start), -1 to ignore| 2: 1 to reset the trigger sequence, -1 or 0 to ignore| 3: 1 to pause triggering, but without switching the camera off or retracting it. -1 to ignore| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_VIDEO_START_CAPTURE=2500, /* Starts video capture (recording). Use NaN for reserved values. |1: Video Stream ID (0 for all streams)| 2: Frequency CAMERA_CAPTURE_STATUS messages should be sent while recording (0 for no messages, otherwise frequency in Hz)| 3: Reserved (all remaining params)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_VIDEO_STOP_CAPTURE=2501, /* Stop the current video capture (recording). Use NaN for reserved values. |1: Video Stream ID (0 for all streams)| 2: Reserved (all remaining params)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_VIDEO_START_STREAMING=2502, /* Start video streaming |1: Video Stream ID (0 for all streams, 1 for first, 2 for second, etc.)| 2: Reserved| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_VIDEO_STOP_STREAMING=2503, /* Stop the given video stream |1: Video Stream ID (0 for all streams, 1 for first, 2 for second, etc.)| 2: Reserved| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_REQUEST_VIDEO_STREAM_INFORMATION=2504, /* Request video stream information (VIDEO_STREAM_INFORMATION) |1: Video Stream ID (0 for all streams, 1 for first, 2 for second, etc.)| 2: Reserved (all remaining params)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_REQUEST_VIDEO_STREAM_STATUS=2505, /* Request video stream status (VIDEO_STREAM_STATUS) |1: Video Stream ID (0 for all streams, 1 for first, 2 for second, etc.)| 2: Reserved (all remaining params)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_LOGGING_START=2510, /* Request to start streaming logging data over MAVLink (see also LOGGING_DATA message) |1: Format: 0: ULog| 2: Reserved (set to 0)| 3: Reserved (set to 0)| 4: Reserved (set to 0)| 5: Reserved (set to 0)| 6: Reserved (set to 0)| 7: Reserved (set to 0)|  */
   MAV_CMD_LOGGING_STOP=2511, /* Request to stop streaming log data over MAVLink |1: Reserved (set to 0)| 2: Reserved (set to 0)| 3: Reserved (set to 0)| 4: Reserved (set to 0)| 5: Reserved (set to 0)| 6: Reserved (set to 0)| 7: Reserved (set to 0)|  */
   MAV_CMD_AIRFRAME_CONFIGURATION=2520, /*  |1: Landing gear ID (default: 0, -1 for all)| 2: Landing gear position (Down: 0, Up: 1, NaN for no change)| 3: Reserved, set to NaN| 4: Reserved, set to NaN| 5: Reserved, set to NaN| 6: Reserved, set to NaN| 7: Reserved, set to NaN|  */
   MAV_CMD_CONTROL_HIGH_LATENCY=2600, /* Request to start/stop transmitting over the high latency telemetry |1: Control transmission over high latency telemetry (0: stop, 1: start)| 2: Empty| 3: Empty| 4: Empty| 5: Empty| 6: Empty| 7: Empty|  */
   MAV_CMD_PANORAMA_CREATE=2800, /* Create a panorama at the current position |1: l of the panorama (in degrees, +- 0.5 the total angle)| 2: Viewing angle vertical of panorama (in degrees)| 3: Speed of the horizontal rotation (in degrees per second)| 4: Speed of the vertical rotation (in degrees per second)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_DO_VTOL_TRANSITION=3000, /* Request VTOL transition |1: The target VTOL state, as defined by ENUM MAV_VTOL_STATE. Only MAV_VTOL_STATE_MC and MAV_VTOL_STATE_FW can be used.| 2: Reserved (default:0)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_ARM_AUTHORIZATION_REQUEST=3001, /* Request authorization to arm the vehicle to a external entity, the arm authorizer is responsible to request all data that is needs from the vehicle before authorize or deny the request. If approved the progress of command_ack message should be set with period of time that this authorization is valid in seconds or in case it was denied it should be set with one of the reasons in ARM_AUTH_DENIED_REASON.
         |1: Vehicle system id, this way ground station can request arm authorization on behalf of any vehicle| 2: Reserved (default:0)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_SET_GUIDED_SUBMODE_STANDARD=4000, /* This command sets the submode to standard guided when vehicle is in guided mode. The vehicle holds position and altitude and the user can input the desired velocities along all three axes.
                   |1: Reserved (default:0)| 2: Reserved (default:0)| 3: Reserved (default:0)| 4: Reserved (default:0)| 5: Reserved (default:0)| 6: Reserved (default:0)| 7: Reserved (default:0)|  */
   MAV_CMD_SET_GUIDED_SUBMODE_CIRCLE=4001, /* This command sets submode circle when vehicle is in guided mode. Vehicle flies along a circle facing the center of the circle. The user can input the velocity along the circle and change the radius. If no input is given the vehicle will hold position.
                   |1: DE| 2: User defined| 3: User defined| 4: User defined| 5: Unscaled target latitude of center of circle in CIRCLE_MODE| 6: Unscaled target longitude of center of circle in CIRCLE_MODE| 7: Reserved (default:0)|  */
   MAV_CMD_CONDITION_GATE=4501, /* Delay mission state machine until gate has been reached. |1: Geometry: 0: orthogonal to path between previous and next waypoint.| 2: Altitude: 0: ignore altitude| 3: Empty| 4: Empty| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_NAV_FENCE_RETURN_POINT=5000, /* Fence return point. There can only be one fence return point.
         |1: Reserved| 2: Reserved| 3: Reserved| 4: Reserved| 5: Latitude| 6: Longitude| 7: Altitude|  */
   MAV_CMD_NAV_FENCE_POLYGON_VERTEX_INCLUSION=5001, /* Fence vertex for an inclusion polygon (the polygon must not be self-intersecting). The vehicle must stay within this area. Minimum of 3 vertices required.
         |1: Polygon vertex count| 2: Reserved| 3: Reserved| 4: Reserved| 5: Latitude| 6: Longitude| 7: Reserved|  */
   MAV_CMD_NAV_FENCE_POLYGON_VERTEX_EXCLUSION=5002, /* Fence vertex for an exclusion polygon (the polygon must not be self-intersecting). The vehicle must stay outside this area. Minimum of 3 vertices required.
         |1: Polygon vertex count| 2: Reserved| 3: Reserved| 4: Reserved| 5: Latitude| 6: Longitude| 7: Reserved|  */
   MAV_CMD_NAV_FENCE_CIRCLE_INCLUSION=5003, /* Circular fence area. The vehicle must stay inside this area.
         |1: radius in meters| 2: Reserved| 3: Reserved| 4: Reserved| 5: Latitude| 6: Longitude| 7: Reserved|  */
   MAV_CMD_NAV_FENCE_CIRCLE_EXCLUSION=5004, /* Circular fence area. The vehicle must stay outside this area.
         |1: radius in meters| 2: Reserved| 3: Reserved| 4: Reserved| 5: Latitude| 6: Longitude| 7: Reserved|  */
   MAV_CMD_NAV_RALLY_POINT=5100, /* Rally point. You can have multiple rally points defined.
         |1: Reserved| 2: Reserved| 3: Reserved| 4: Reserved| 5: Latitude| 6: tude| 7: Altitude|  */
   MAV_CMD_UAVCAN_GET_NODE_INFO=5200, /* Commands the vehicle to respond with a sequence of messages UAVCAN_NODE_INFO, one message per every UAVCAN node that is online. Note that some of the response messages can be lost, which the receiver can detect easily by checking whether every received UAVCAN_NODE_STATUS has a matching message UAVCAN_NODE_INFO received earlier; if not, this command should be sent again in order to request re-transmission of the node information messages. |1: Reserved (set to 0)| 2: Reserved (set to 0)| 3: Reserved (set to 0)| 4: Reserved (set to 0)| 5: Reserved (set to 0)| 6: Reserved (set to 0)| 7: Reserved (set to 0)|  */
   MAV_CMD_PAYLOAD_PREPARE_DEPLOY=30001, /* Deploy payload on a Lat / Lon / Alt position. This includes the navigation to reach the required release position and velocity. |1: Operation mode. 0: prepare single payload deploy (overwriting previous requests), but do not execute it. 1: execute payload deploy immediately (rejecting further deploy commands during execution, but allowing abort). 2: add payload deploy to existing deployment list.| 2: Desired approach vector in degrees compass heading (0..360). A negative value indicates the system can define the approach vector at will.| 3: Desired ground speed at release time. This can be overridden by the airframe in case it needs to meet minimum airspeed. A negative value indicates the system can define the ground speed at will.| 4: Minimum altitude clearance to the release position in meters. A negative value indicates the system can define the clearance at will.| 5: Latitude unscaled for MISSION_ITEM or in 1e7 degrees for MISSION_ITEM_INT| 6: Longitude unscaled for MISSION_ITEM or in 1e7 degrees for MISSION_ITEM_INT| 7: Altitude (MSL), in meters|  */
   MAV_CMD_PAYLOAD_CONTROL_DEPLOY=30002, /* Control the payload deployment. |1: Operation mode. 0: Abort deployment, continue normal mission. 1: switch to payload deployment mode. 100: delete first payload deployment request. 101: delete all payload deployment requests.| 2: Reserved| 3: Reserved| 4: Reserved| 5: Reserved| 6: Reserved| 7: Reserved|  */
   MAV_CMD_WAYPOINT_USER_1=31000, /* User defined waypoint item. Ground Station will show the Vehicle as flying through this item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: Latitude unscaled| 6: Longitude unscaled| 7: Altitude (MSL), in meters|  */
   MAV_CMD_WAYPOINT_USER_2=31001, /* User defined waypoint item. Ground Station will show the Vehicle as flying through this item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: Latitude unscaled| 6: Longitude unscaled| 7: Altitude (MSL), in meters|  */
   MAV_CMD_WAYPOINT_USER_3=31002, /* User defined waypoint item. Ground Station will show the Vehicle as flying through this item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: Latitude unscaled| 6: Longitude unscaled| 7: Altitude (MSL), in meters|  */
   MAV_CMD_WAYPOINT_USER_4=31003, /* User defined waypoint item. Ground Station will show the Vehicle as flying through this item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: Latitude unscaled| 6: Longitude unscaled| 7: Altitude (MSL), in meters|  */
   MAV_CMD_WAYPOINT_USER_5=31004, /* User defined waypoint item. Ground Station will show the Vehicle as flying through this item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: Latitude unscaled| 6: Longitude unscaled| 7: Altitude (MSL), in meters|  */
   MAV_CMD_SPATIAL_USER_1=31005, /* User defined spatial item. Ground Station will not show the Vehicle as flying through this item. Example: ROI item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: Latitude unscaled| 6: Longitude unscaled| 7: Altitude (MSL), in meters|  */
   MAV_CMD_SPATIAL_USER_2=31006, /* User defined spatial item. Ground Station will not show the Vehicle as flying through this item. Example: ROI item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: Latitude unscaled| 6: Longitude unscaled| 7: Altitude (MSL), in meters|  */
   MAV_CMD_SPATIAL_USER_3=31007, /* User defined spatial item. Ground Station will not show the Vehicle as flying through this item. Example: ROI item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: Latitude unscaled| 6: Longitude unscaled| 7: Altitude (MSL), in meters|  */
   MAV_CMD_SPATIAL_USER_4=31008, /* User defined spatial item. Ground Station will not show the Vehicle as flying through this item. Example: ROI item. |1: User defined| 2: er defined| 3: User defined| 4: User defined| 5: Latitude unscaled| 6: Longitude unscaled| 7: Altitude (MSL), in meters|  */
   MAV_CMD_SPATIAL_USER_5=31009, /* User defined spatial item. Ground Station will not show the Vehicle as flying through this item. Example: ROI item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: Latitude unscaled| 6: Longitude unscaled| 7: Altitude (MSL), in meters|  */
   MAV_CMD_USER_1=31010, /* User defined command. Ground Station will not show the Vehicle as flying through this item. Example: MAV_CMD_DO_SET_PARAMETER item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: User defined| 6: User defined| 7: User defined|  */
   MAV_CMD_USER_2=31011, /* User defined command. Ground Station will not show the Vehicle as flying through this item. Example: MAV_CMD_DO_SET_PARAMETER item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: User defined| 6: User defined| 7: User defined|  */
   MAV_CMD_USER_3=31012, /* User defined command. Ground Station will not show the Vehicle as flying through this item. Example: MAV_CMD_DO_SET_PARAMETER item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: User defined| 6: User defined| 7: User defined|  */
   MAV_CMD_USER_4=31013, /* User defined command. Ground Station will not show the Vehicle as flying through this item. Example: MAV_CMD_DO_SET_PARAMETER item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: User defined| 6: User defined| 7: User defined|  */
   MAV_CMD_USER_5=31014, /* User defined command. Ground Station will not show the Vehicle as flying through this item. Example: MAV_CMD_DO_SET_PARAMETER item. |1: User defined| 2: User defined| 3: User defined| 4: User defined| 5: User defined| 6: User defined| 7: User defined|  */
   MAV_CMD_ENUM_END=31015, /*  | */
} MAV_CMD;
#endif

// MAVLINK VERSION

#ifndef MAVLINK_VERSION
#define MAVLINK_VERSION 2
#endif

#if (MAVLINK_VERSION == 0)
#undef MAVLINK_VERSION
#define MAVLINK_VERSION 2
#endif

// MESSAGE DEFINITIONS
#include "./mavlink_msg_flexifunction_set.h"
#include "./mavlink_msg_flexifunction_read_req.h"
#include "./mavlink_msg_flexifunction_buffer_function.h"
#include "./mavlink_msg_flexifunction_buffer_function_ack.h"
#include "./mavlink_msg_flexifunction_directory.h"
#include "./mavlink_msg_flexifunction_directory_ack.h"
#include "./mavlink_msg_flexifunction_command.h"
#include "./mavlink_msg_flexifunction_command_ack.h"
#include "./mavlink_msg_serial_udb_extra_f2_a.h"
#include "./mavlink_msg_serial_udb_extra_f2_b.h"
#include "./mavlink_msg_serial_udb_extra_f4.h"
#include "./mavlink_msg_serial_udb_extra_f5.h"
#include "./mavlink_msg_serial_udb_extra_f6.h"
#include "./mavlink_msg_serial_udb_extra_f7.h"
#include "./mavlink_msg_serial_udb_extra_f8.h"
#include "./mavlink_msg_serial_udb_extra_f13.h"
#include "./mavlink_msg_serial_udb_extra_f14.h"
#include "./mavlink_msg_serial_udb_extra_f15.h"
#include "./mavlink_msg_serial_udb_extra_f16.h"
#include "./mavlink_msg_altitudes.h"
#include "./mavlink_msg_airspeeds.h"
#include "./mavlink_msg_serial_udb_extra_f17.h"
#include "./mavlink_msg_serial_udb_extra_f18.h"
#include "./mavlink_msg_serial_udb_extra_f19.h"
#include "./mavlink_msg_serial_udb_extra_f20.h"
#include "./mavlink_msg_serial_udb_extra_f21.h"
#include "./mavlink_msg_serial_udb_extra_f22.h"

// base include
#include "../common/common.h"

#undef MAVLINK_THIS_XML_IDX
#define MAVLINK_THIS_XML_IDX 0

#if MAVLINK_THIS_XML_IDX == MAVLINK_PRIMARY_XML_IDX
# define MAVLINK_MESSAGE_INFO {MAVLINK_MESSAGE_INFO_HEARTBEAT, MAVLINK_MESSAGE_INFO_SYS_STATUS, MAVLINK_MESSAGE_INFO_SYSTEM_TIME, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_PING, MAVLINK_MESSAGE_INFO_CHANGE_OPERATOR_CONTROL, MAVLINK_MESSAGE_INFO_CHANGE_OPERATOR_CONTROL_ACK, MAVLINK_MESSAGE_INFO_AUTH_KEY, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_SET_MODE, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_PARAM_REQUEST_READ, MAVLINK_MESSAGE_INFO_PARAM_REQUEST_LIST, MAVLINK_MESSAGE_INFO_PARAM_VALUE, MAVLINK_MESSAGE_INFO_PARAM_SET, MAVLINK_MESSAGE_INFO_GPS_RAW_INT, MAVLINK_MESSAGE_INFO_GPS_STATUS, MAVLINK_MESSAGE_INFO_SCALED_IMU, MAVLINK_MESSAGE_INFO_RAW_IMU, MAVLINK_MESSAGE_INFO_RAW_PRESSURE, MAVLINK_MESSAGE_INFO_SCALED_PRESSURE, MAVLINK_MESSAGE_INFO_ATTITUDE, MAVLINK_MESSAGE_INFO_ATTITUDE_QUATERNION, MAVLINK_MESSAGE_INFO_LOCAL_POSITION_NED, MAVLINK_MESSAGE_INFO_GLOBAL_POSITION_INT, MAVLINK_MESSAGE_INFO_RC_CHANNELS_SCALED, MAVLINK_MESSAGE_INFO_RC_CHANNELS_RAW, MAVLINK_MESSAGE_INFO_SERVO_OUTPUT_RAW, MAVLINK_MESSAGE_INFO_MISSION_REQUEST_PARTIAL_LIST, MAVLINK_MESSAGE_INFO_MISSION_WRITE_PARTIAL_LIST, MAVLINK_MESSAGE_INFO_MISSION_ITEM, MAVLINK_MESSAGE_INFO_MISSION_REQUEST, MAVLINK_MESSAGE_INFO_MISSION_SET_CURRENT, MAVLINK_MESSAGE_INFO_MISSION_CURRENT, MAVLINK_MESSAGE_INFO_MISSION_REQUEST_LIST, MAVLINK_MESSAGE_INFO_MISSION_COUNT, MAVLINK_MESSAGE_INFO_MISSION_CLEAR_ALL, MAVLINK_MESSAGE_INFO_MISSION_ITEM_REACHED, MAVLINK_MESSAGE_INFO_MISSION_ACK, MAVLINK_MESSAGE_INFO_SET_GPS_GLOBAL_ORIGIN, MAVLINK_MESSAGE_INFO_GPS_GLOBAL_ORIGIN, MAVLINK_MESSAGE_INFO_PARAM_MAP_RC, MAVLINK_MESSAGE_INFO_MISSION_REQUEST_INT, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_SAFETY_SET_ALLOWED_AREA, MAVLINK_MESSAGE_INFO_SAFETY_ALLOWED_AREA, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_ATTITUDE_QUATERNION_COV, MAVLINK_MESSAGE_INFO_NAV_CONTROLLER_OUTPUT, MAVLINK_MESSAGE_INFO_GLOBAL_POSITION_INT_COV, MAVLINK_MESSAGE_INFO_LOCAL_POSITION_NED_COV, MAVLINK_MESSAGE_INFO_RC_CHANNELS, MAVLINK_MESSAGE_INFO_REQUEST_DATA_STREAM, MAVLINK_MESSAGE_INFO_DATA_STREAM, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_MANUAL_CONTROL, MAVLINK_MESSAGE_INFO_RC_CHANNELS_OVERRIDE, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_MISSION_ITEM_INT, MAVLINK_MESSAGE_INFO_VFR_HUD, MAVLINK_MESSAGE_INFO_COMMAND_INT, MAVLINK_MESSAGE_INFO_COMMAND_LONG, MAVLINK_MESSAGE_INFO_COMMAND_ACK, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_MANUAL_SETPOINT, MAVLINK_MESSAGE_INFO_SET_ATTITUDE_TARGET, MAVLINK_MESSAGE_INFO_ATTITUDE_TARGET, MAVLINK_MESSAGE_INFO_SET_POSITION_TARGET_LOCAL_NED, MAVLINK_MESSAGE_INFO_POSITION_TARGET_LOCAL_NED, MAVLINK_MESSAGE_INFO_SET_POSITION_TARGET_GLOBAL_INT, MAVLINK_MESSAGE_INFO_POSITION_TARGET_GLOBAL_INT, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_LOCAL_POSITION_NED_SYSTEM_GLOBAL_OFFSET, MAVLINK_MESSAGE_INFO_HIL_STATE, MAVLINK_MESSAGE_INFO_HIL_CONTROLS, MAVLINK_MESSAGE_INFO_HIL_RC_INPUTS_RAW, MAVLINK_MESSAGE_INFO_HIL_ACTUATOR_CONTROLS, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_OPTICAL_FLOW, MAVLINK_MESSAGE_INFO_GLOBAL_VISION_POSITION_ESTIMATE, MAVLINK_MESSAGE_INFO_VISION_POSITION_ESTIMATE, MAVLINK_MESSAGE_INFO_VISION_SPEED_ESTIMATE, MAVLINK_MESSAGE_INFO_VICON_POSITION_ESTIMATE, MAVLINK_MESSAGE_INFO_HIGHRES_IMU, MAVLINK_MESSAGE_INFO_OPTICAL_FLOW_RAD, MAVLINK_MESSAGE_INFO_HIL_SENSOR, MAVLINK_MESSAGE_INFO_SIM_STATE, MAVLINK_MESSAGE_INFO_RADIO_STATUS, MAVLINK_MESSAGE_INFO_FILE_TRANSFER_PROTOCOL, MAVLINK_MESSAGE_INFO_TIMESYNC, MAVLINK_MESSAGE_INFO_CAMERA_TRIGGER, MAVLINK_MESSAGE_INFO_HIL_GPS, MAVLINK_MESSAGE_INFO_HIL_OPTICAL_FLOW, MAVLINK_MESSAGE_INFO_HIL_STATE_QUATERNION, MAVLINK_MESSAGE_INFO_SCALED_IMU2, MAVLINK_MESSAGE_INFO_LOG_REQUEST_LIST, MAVLINK_MESSAGE_INFO_LOG_ENTRY, MAVLINK_MESSAGE_INFO_LOG_REQUEST_DATA, MAVLINK_MESSAGE_INFO_LOG_DATA, MAVLINK_MESSAGE_INFO_LOG_ERASE, MAVLINK_MESSAGE_INFO_LOG_REQUEST_END, MAVLINK_MESSAGE_INFO_GPS_INJECT_DATA, MAVLINK_MESSAGE_INFO_GPS2_RAW, MAVLINK_MESSAGE_INFO_POWER_STATUS, MAVLINK_MESSAGE_INFO_SERIAL_CONTROL, MAVLINK_MESSAGE_INFO_GPS_RTK, MAVLINK_MESSAGE_INFO_GPS2_RTK, MAVLINK_MESSAGE_INFO_SCALED_IMU3, MAVLINK_MESSAGE_INFO_DATA_TRANSMISSION_HANDSHAKE, MAVLINK_MESSAGE_INFO_ENCAPSULATED_DATA, MAVLINK_MESSAGE_INFO_DISTANCE_SENSOR, MAVLINK_MESSAGE_INFO_TERRAIN_REQUEST, MAVLINK_MESSAGE_INFO_TERRAIN_DATA, MAVLINK_MESSAGE_INFO_TERRAIN_CHECK, MAVLINK_MESSAGE_INFO_TERRAIN_REPORT, MAVLINK_MESSAGE_INFO_SCALED_PRESSURE2, MAVLINK_MESSAGE_INFO_ATT_POS_MOCAP, MAVLINK_MESSAGE_INFO_SET_ACTUATOR_CONTROL_TARGET, MAVLINK_MESSAGE_INFO_ACTUATOR_CONTROL_TARGET, MAVLINK_MESSAGE_INFO_ALTITUDE, MAVLINK_MESSAGE_INFO_RESOURCE_REQUEST, MAVLINK_MESSAGE_INFO_SCALED_PRESSURE3, MAVLINK_MESSAGE_INFO_FOLLOW_TARGET, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_CONTROL_SYSTEM_STATE, MAVLINK_MESSAGE_INFO_BATTERY_STATUS, MAVLINK_MESSAGE_INFO_AUTOPILOT_VERSION, MAVLINK_MESSAGE_INFO_LANDING_TARGET, MAVLINK_MESSAGE_INFO_FLEXIFUNCTION_SET, MAVLINK_MESSAGE_INFO_FLEXIFUNCTION_READ_REQ, MAVLINK_MESSAGE_INFO_FLEXIFUNCTION_BUFFER_FUNCTION, MAVLINK_MESSAGE_INFO_FLEXIFUNCTION_BUFFER_FUNCTION_ACK, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_FLEXIFUNCTION_DIRECTORY, MAVLINK_MESSAGE_INFO_FLEXIFUNCTION_DIRECTORY_ACK, MAVLINK_MESSAGE_INFO_FLEXIFUNCTION_COMMAND, MAVLINK_MESSAGE_INFO_FLEXIFUNCTION_COMMAND_ACK, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F2_A, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F2_B, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F4, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F5, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F6, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F7, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F8, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F13, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F14, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F15, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F16, MAVLINK_MESSAGE_INFO_ALTITUDES, MAVLINK_MESSAGE_INFO_AIRSPEEDS, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F17, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F18, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F19, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F20, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F21, MAVLINK_MESSAGE_INFO_SERIAL_UDB_EXTRA_F22, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_ESTIMATOR_STATUS, MAVLINK_MESSAGE_INFO_WIND_COV, MAVLINK_MESSAGE_INFO_GPS_INPUT, MAVLINK_MESSAGE_INFO_GPS_RTCM_DATA, MAVLINK_MESSAGE_INFO_HIGH_LATENCY, MAVLINK_MESSAGE_INFO_HIGH_LATENCY2, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}, MAVLINK_MESSAGE_INFO_VIBRATION, MAVLINK_MESSAGE_INFO_HOME_POSITION, MAVLINK_MESSAGE_INFO_SET_HOME_POSITION, MAVLINK_MESSAGE_INFO_MESSAGE_INTERVAL, MAVLINK_MESSAGE_INFO_EXTENDED_SYS_STATE, MAVLINK_MESSAGE_INFO_ADSB_VEHICLE, MAVLINK_MESSAGE_INFO_COLLISION, MAVLINK_MESSAGE_INFO_V2_EXTENSION, MAVLINK_MESSAGE_INFO_MEMORY_VECT, MAVLINK_MESSAGE_INFO_DEBUG_VECT, MAVLINK_MESSAGE_INFO_NAMED_VALUE_FLOAT, MAVLINK_MESSAGE_INFO_NAMED_VALUE_INT, MAVLINK_MESSAGE_INFO_STATUSTEXT, MAVLINK_MESSAGE_INFO_DEBUG, {"EMPTY",0,{{"","",MAVLINK_TYPE_CHAR,0,0,0}}}}
# define MAVLINK_MESSAGE_NAMES {{ "ACTUATOR_CONTROL_TARGET", 140 }, { "ADSB_VEHICLE", 246 }, { "AIRSPEEDS", 182 }, { "ALTITUDE", 141 }, { "ALTITUDES", 181 }, { "ATTITUDE", 30 }, { "ATTITUDE_QUATERNION", 31 }, { "ATTITUDE_QUATERNION_COV", 61 }, { "ATTITUDE_TARGET", 83 }, { "ATT_POS_MOCAP", 138 }, { "AUTH_KEY", 7 }, { "AUTOPILOT_VERSION", 148 }, { "BATTERY_STATUS", 147 }, { "CAMERA_TRIGGER", 112 }, { "CHANGE_OPERATOR_CONTROL", 5 }, { "CHANGE_OPERATOR_CONTROL_ACK", 6 }, { "COLLISION", 247 }, { "COMMAND_ACK", 77 }, { "COMMAND_INT", 75 }, { "COMMAND_LONG", 76 }, { "CONTROL_SYSTEM_STATE", 146 }, { "DATA_STREAM", 67 }, { "DATA_TRANSMISSION_HANDSHAKE", 130 }, { "DEBUG", 254 }, { "DEBUG_VECT", 250 }, { "DISTANCE_SENSOR", 132 }, { "ENCAPSULATED_DATA", 131 }, { "ESTIMATOR_STATUS", 230 }, { "EXTENDED_SYS_STATE", 245 }, { "FILE_TRANSFER_PROTOCOL", 110 }, { "FLEXIFUNCTION_BUFFER_FUNCTION", 152 }, { "FLEXIFUNCTION_BUFFER_FUNCTION_ACK", 153 }, { "FLEXIFUNCTION_COMMAND", 157 }, { "FLEXIFUNCTION_COMMAND_ACK", 158 }, { "FLEXIFUNCTION_DIRECTORY", 155 }, { "FLEXIFUNCTION_DIRECTORY_ACK", 156 }, { "FLEXIFUNCTION_READ_REQ", 151 }, { "FLEXIFUNCTION_SET", 150 }, { "FOLLOW_TARGET", 144 }, { "GLOBAL_POSITION_INT", 33 }, { "GLOBAL_POSITION_INT_COV", 63 }, { "GLOBAL_VISION_POSITION_ESTIMATE", 101 }, { "GPS2_RAW", 124 }, { "GPS2_RTK", 128 }, { "GPS_GLOBAL_ORIGIN", 49 }, { "GPS_INJECT_DATA", 123 }, { "GPS_INPUT", 232 }, { "GPS_RAW_INT", 24 }, { "GPS_RTCM_DATA", 233 }, { "GPS_RTK", 127 }, { "GPS_STATUS", 25 }, { "HEARTBEAT", 0 }, { "HIGHRES_IMU", 105 }, { "HIGH_LATENCY", 234 }, { "HIGH_LATENCY2", 235 }, { "HIL_ACTUATOR_CONTROLS", 93 }, { "HIL_CONTROLS", 91 }, { "HIL_GPS", 113 }, { "HIL_OPTICAL_FLOW", 114 }, { "HIL_RC_INPUTS_RAW", 92 }, { "HIL_SENSOR", 107 }, { "HIL_STATE", 90 }, { "HIL_STATE_QUATERNION", 115 }, { "HOME_POSITION", 242 }, { "LANDING_TARGET", 149 }, { "LOCAL_POSITION_NED", 32 }, { "LOCAL_POSITION_NED_COV", 64 }, { "LOCAL_POSITION_NED_SYSTEM_GLOBAL_OFFSET", 89 }, { "LOG_DATA", 120 }, { "LOG_ENTRY", 118 }, { "LOG_ERASE", 121 }, { "LOG_REQUEST_DATA", 119 }, { "LOG_REQUEST_END", 122 }, { "LOG_REQUEST_LIST", 117 }, { "MANUAL_CONTROL", 69 }, { "MANUAL_SETPOINT", 81 }, { "MEMORY_VECT", 249 }, { "MESSAGE_INTERVAL", 244 }, { "MISSION_ACK", 47 }, { "MISSION_CLEAR_ALL", 45 }, { "MISSION_COUNT", 44 }, { "MISSION_CURRENT", 42 }, { "MISSION_ITEM", 39 }, { "MISSION_ITEM_INT", 73 }, { "MISSION_ITEM_REACHED", 46 }, { "MISSION_REQUEST", 40 }, { "MISSION_REQUEST_INT", 51 }, { "MISSION_REQUEST_LIST", 43 }, { "MISSION_REQUEST_PARTIAL_LIST", 37 }, { "MISSION_SET_CURRENT", 41 }, { "MISSION_WRITE_PARTIAL_LIST", 38 }, { "NAMED_VALUE_FLOAT", 251 }, { "NAMED_VALUE_INT", 252 }, { "NAV_CONTROLLER_OUTPUT", 62 }, { "OPTICAL_FLOW", 100 }, { "OPTICAL_FLOW_RAD", 106 }, { "PARAM_MAP_RC", 50 }, { "PARAM_REQUEST_LIST", 21 }, { "PARAM_REQUEST_READ", 20 }, { "PARAM_SET", 23 }, { "PARAM_VALUE", 22 }, { "PING", 4 }, { "POSITION_TARGET_GLOBAL_INT", 87 }, { "POSITION_TARGET_LOCAL_NED", 85 }, { "POWER_STATUS", 125 }, { "RADIO_STATUS", 109 }, { "RAW_IMU", 27 }, { "RAW_PRESSURE", 28 }, { "RC_CHANNELS", 65 }, { "RC_CHANNELS_OVERRIDE", 70 }, { "RC_CHANNELS_RAW", 35 }, { "RC_CHANNELS_SCALED", 34 }, { "REQUEST_DATA_STREAM", 66 }, { "RESOURCE_REQUEST", 142 }, { "SAFETY_ALLOWED_AREA", 55 }, { "SAFETY_SET_ALLOWED_AREA", 54 }, { "SCALED_IMU", 26 }, { "SCALED_IMU2", 116 }, { "SCALED_IMU3", 129 }, { "SCALED_PRESSURE", 29 }, { "SCALED_PRESSURE2", 137 }, { "SCALED_PRESSURE3", 143 }, { "SERIAL_CONTROL", 126 }, { "SERIAL_UDB_EXTRA_F13", 177 }, { "SERIAL_UDB_EXTRA_F14", 178 }, { "SERIAL_UDB_EXTRA_F15", 179 }, { "SERIAL_UDB_EXTRA_F16", 180 }, { "SERIAL_UDB_EXTRA_F17", 183 }, { "SERIAL_UDB_EXTRA_F18", 184 }, { "SERIAL_UDB_EXTRA_F19", 185 }, { "SERIAL_UDB_EXTRA_F20", 186 }, { "SERIAL_UDB_EXTRA_F21", 187 }, { "SERIAL_UDB_EXTRA_F22", 188 }, { "SERIAL_UDB_EXTRA_F2_A", 170 }, { "SERIAL_UDB_EXTRA_F2_B", 171 }, { "SERIAL_UDB_EXTRA_F4", 172 }, { "SERIAL_UDB_EXTRA_F5", 173 }, { "SERIAL_UDB_EXTRA_F6", 174 }, { "SERIAL_UDB_EXTRA_F7", 175 }, { "SERIAL_UDB_EXTRA_F8", 176 }, { "SERVO_OUTPUT_RAW", 36 }, { "SET_ACTUATOR_CONTROL_TARGET", 139 }, { "SET_ATTITUDE_TARGET", 82 }, { "SET_GPS_GLOBAL_ORIGIN", 48 }, { "SET_HOME_POSITION", 243 }, { "SET_MODE", 11 }, { "SET_POSITION_TARGET_GLOBAL_INT", 86 }, { "SET_POSITION_TARGET_LOCAL_NED", 84 }, { "SIM_STATE", 108 }, { "STATUSTEXT", 253 }, { "SYSTEM_TIME", 2 }, { "SYS_STATUS", 1 }, { "TERRAIN_CHECK", 135 }, { "TERRAIN_DATA", 134 }, { "TERRAIN_REPORT", 136 }, { "TERRAIN_REQUEST", 133 }, { "TIMESYNC", 111 }, { "V2_EXTENSION", 248 }, { "VFR_HUD", 74 }, { "VIBRATION", 241 }, { "VICON_POSITION_ESTIMATE", 104 }, { "VISION_POSITION_ESTIMATE", 102 }, { "VISION_SPEED_ESTIMATE", 103 }, { "WIND_COV", 231 }}
# if MAVLINK_COMMAND_24BIT
#  include "../mavlink_get_info.h"
# endif
#endif

#ifdef __cplusplus
}
#endif // __cplusplus
#endif // MAVLINK_MATRIXPILOT_H
